﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;
using System.Drawing;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        List<ChartData> data = new List<ChartData>();
        data.Add(new ChartData(10, 1022, 3, 45));
        data.Add(new ChartData(20, 1018, 2, 0));
        data.Add(new ChartData(20, 1013 ,2, 11));
        data.Add(new ChartData(40, 1020, 2, 5));
        data.Add(new ChartData(50, 1016, 2, 0.4));
        data.Add(new ChartData(60, 1017, 3, 0));

        RadChart1.DataGroupColumn = "A";
        RadChart1.DataManager.ValuesYColumns = new string[] { "taskTime" };
        RadChart1.PlotArea.XAxis.DataLabelsColumn = "A";
        RadChart1.DataSource = data;
        RadChart1.DataBind();

        foreach (ChartSeries ser in RadChart1.Series)
        {
            foreach (ChartSeriesItem item in ser.Items)
            {
                item.XValue = (ser.Index + 1) * 10;
            }
        }

        int count = RadChart1.PlotArea.XAxis.Items.Count;
        for (int i = 0; i < RadChart1.PlotArea.XAxis.Items.Count; i++)
        {
            RadChart1.PlotArea.XAxis.Items[i].Value = (i + 1) * 10;
            RadChart1.PlotArea.XAxis.Items[i].TextBlock.Text = ((i + 1) * 10).ToString();
        }
    }

    public class ChartData
    {
        public ChartData(double A, double B, double C, double taskTime)
        {
            _A = A;
            _B = B;
            _C = C;
            _taskTime = taskTime;
        }
        private double _A;
        public double A
        {
            get { return _A; }
            set { _A = value; }
        }
        private double _B;
        public double B
        {
            get { return _B; }
            set { _B = value; }
        }
        private double _C;
        public double C
        {
            get { return _C; }
            set { _C = value; }
        }
        private double _taskTime;
        public double taskTime
        {
            get { return _taskTime; }
            set { _taskTime = value; }
        }
    }
}